%define upstream_name    String-Copyright
%define upstream_version 0.003006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Representation of text-based copyright statements
Group:      Development/Perl
License:    GPLv3+
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Number::Range) >= 0.40.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
String::Copyright Parses common styles of copyright statements and serializes
in normalized format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}

# Remove .packlist
rm -f %{buildroot}%{perl_vendorarch}/auto/String/Copyright/.packlist

%check
make test

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/String::Copyright*.*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3.6-2.mga8
+ Revision: 1519766
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 0.3.6-1.mga7
+ Revision: 1322737
- update to 0.003006

* Wed Sep 19 2018 umeabot <umeabot> 0.3.5-2.mga7
+ Revision: 1271228
- Mageia 7 Mass Rebuild

* Sat May 06 2017 akien <akien> 0.3.5-1.mga6
+ Revision: 1099407
- imported package perl-String-Copyright

